Commit d25e6fea authored by mattwire's avatar mattwire

Fix PHP notices when extension dependencies are not downloaded

parent ea6870c5
......@@ -62,6 +62,7 @@ class CRM_Stripe_Check {
['path' => 'civicrm/admin/extensions', 'query' => ['action' => 'update', 'id' => $extensionName, 'key' => $extensionName]]
);
$messages[] = $message;
return;
}
if ($extensions['values'][$extensions['id']]['status'] === 'installed') {
self::requireExtensionMinVersion($messages, $extensionName, CRM_Stripe_Check::MIN_VERSION_MJWSHARED, $extensions['values'][$extensions['id']]['version']);
......@@ -129,6 +130,7 @@ class CRM_Stripe_Check {
['path' => 'civicrm/admin/extensions', 'query' => ['action' => 'update', 'id' => $extensionName, 'key' => $extensionName]]
);
$messages[] = $message;
return;
}
if ($extensions['values'][$extensions['id']]['status'] === 'installed') {
self::requireExtensionMinVersion($messages, $extensionName, CRM_Stripe_Check::MIN_VERSION_SWEETALERT, $extensions['values'][$extensions['id']]['version']);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment